Summary:	Sophisticated command line ftp/http client
Name:		lftp
Version:	3.1.3
Release:	4tr
License:	GPL v2
Group:		Trustix Official
Source0:	ftp://ftp.yars.free.net/pub/software/unix/net/ftp/client/lftp/%{name}-%{version}.tar.bz2
Source1:	http://www.mif.pg.gda.pl/homepages/ankry/man-PLD/%{name}-man-pages.tar.bz2
URL:		http://lftp.yar.ru/
Requires: 	gnutls, readline, libgcrypt
BuildRequires: 	gnutls-devel, readline-devel, zlib-devel
BuildRequires:	libgcrypt-devel  
BuildRoot:	%{_tmppath}/%{name}-%{version}-root


%description
LFTP is a shell-like command line ftp/http client. The main two
advantages over other ftp clients are reliability and ability to
perform tasks in background. It will reconnect and reget the file
being transferred if the connection broke. You can start a transfer in
background and continue browsing on the ftp site. It does this all in
one process. When you have started background jobs and feel you are
done, you can just exit lftp and it automatically moves to nohup mode
and completes the transfers. It has also such nice features as reput
and mirror.

%prep
%setup -q

%build
export CC="gcc %{?no_stack_protector}"
CFLAGS="$RPM_OPT_FLAGS" LDFLAGS="-lgnutls -lgnutls-extra -lgcrypt -s" ./configure \
	--prefix=%{_prefix} \
	--mandir=%{_mandir} \
	--with-modules \
	--without-ssl 
make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"

#install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{_datadir}/pixmaps,%{_datadir}/applications}

make DESTDIR=$RPM_BUILD_ROOT install 
install lftp.conf $RPM_BUILD_ROOT%{_sysconfdir}

bzip2 -dc %{SOURCE1} | tar xf - -C $RPM_BUILD_ROOT%{_mandir}
rm -f $RPM_BUILD_ROOT%{_mandir}/README.lftp-man-pages
rm -f $RPM_BUILD_ROOT%{_mandir}/lftpget.diff
chmod 644 $RPM_BUILD_ROOT%{_mandir}/man1/*
chmod 644 $RPM_BUILD_ROOT%{_mandir}/pl/man1/*

rm -f $RPM_BUILD_ROOT%{_libdir}/lftp/*la

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"


%files
%defattr(-,root,root,0755)
%doc README NEWS FAQ FEATURES BUGS ChangeLog TODO
%config(noreplace) %{_sysconfdir}/lftp.conf
%{_bindir}/*
%dir %{_libdir}/lftp
%{_libdir}/lftp/*
%{_datadir}/lftp
%{_mandir}/
%{_datadir}/locale/

%changelog
* Mon Feb 26 2007 Nived Gopalan <nived at trustix dot org>
- Rebuilt

* Tue Aug 16 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 3.1.3-3tr
- Fix manpage files, Fix Bug #1180.

* Mon Apr 18 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 3.1.3-1tr
- New Upstream

* Thu Apr 07 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 3.1.2-2tr
- Rebuilt against new readline

* Wed Apr 06 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 3.1.2-1tr
- New Upstream

* Wed Mar 16 2005 Bipin S  <bipin at comodo dot com> 3.0.13-2tr
- Rebuilt

* Wed Mar 09 2005 Ajith Thampi <ajith at comodo dot com> 3.0.13-1tr
- Initial spec for tsl-3.0
- Linked to gnutls instead of openssl
